CC = clang
CFLAGS = -Wall -std=c99 -ggdb -I../common
LIBS = -lm -lOpenCL

calc_pi_ocl: main.o
	$(CC) $(CFLAGS) main.o ../common/libutils.a -o calc_pi_ocl $(LIBS)

main.o: main.c 
	$(CC) -c $(CFLAGS) main.c

clean:
	rm -f calc_pi_ocl main.o
